<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de Clientes  (Administrador general)
class Clientes_Model extends CI_Model{
	   function fetch_data()
{
   $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
   $this->db->join('zona','Zona_IdZona= IdZona','inner');
   $this->db->order_by("IdClientes", "NombreCliente");$query = $this->db->get("clientes");
  return $query->result();
}
    function actiongeneral()
{
  $this->load->model("clientes_model");
  $this->load->library("excel");
}
  public function BuscarFecha(){
    $query = $this->db-> query('SELECT FechaCreacion FROM clientes'); 
      if ($query->num_rows() > 0) { 
      foreach($query->result() as $row) 
      $arrDatos[htmlspecialchars($row->FechaCreacion, ENT_QUOTES)] = htmlspecialchars($row->FechaCreacion, ENT_QUOTES); 
          $query->free_result(); 
          return $arrDatos; }
}  
  //Consulta que hace la busqueda de la franquicia dependiendo la zona
    public function buscarporfecha($query) {
    $this->db->where('FechaCreacion ', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('clientes');
    if ($query->num_rows() > 0){
      return $query;
    }else{
    }
 }
 public function BuscarFranquicia(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
}